Skip to main content
GET
/
api
/
v1
/
post-history-import
/
{importId}
Get import by ID
curl --request GET \
  --url https://api.bundle.social/api/v1/post-history-import/{importId} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "teamId": "<string>",
  "socialAccountId": "<string>",
  "requestedCount": 123,
  "withAnalytics": true,
  "importCarousels": true,
  "status": "PENDING",
  "postsImported": 123,
  "analyticsImported": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "surface": "PROFILE_GRID",
  "mediaType": "VIDEO",
  "error": "<string>",
  "rateLimitResetAt": "2023-11-07T05:31:56Z",
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

importId
string
required

Response

200

id
string
required
teamId
string
required
socialAccountId
string
required
requestedCount
number
required
withAnalytics
boolean
required
importCarousels
boolean
required
status
enum<string>
required
Available options:
PENDING,
FETCHING_POSTS,
FETCHING_ANALYTICS,
COMPLETED,
FAILED,
RATE_LIMITED
postsImported
number
required
analyticsImported
number
required
createdAt
string<date-time> | null
required
updatedAt
string<date-time> | null
required
surface
enum<string> | null
Available options:
PROFILE_GRID,
NON_GRID,
STORY,
ALL
mediaType
enum<string> | null
Available options:
VIDEO,
IMAGE
error
string | null
rateLimitResetAt
string<date-time> | null
startedAt
string<date-time> | null
completedAt
string<date-time> | null
deletedAt
string<date-time> | null